from datetime import datetime

from pydantic import BaseModel
from typing import List


class Department(BaseModel):
    uid: str  # 求职者id
    name: str  # 求职者姓名
    job_name: str  # 应聘职位
    hr_name: list  # 推荐给谁-用人经理
    referrer_name: str  # 推荐人
    referrer_id: str  # 推荐人unionid
    types: bool = False  # 推荐人是否已处理
    create: str = str(datetime.now()).split('.')[0]  # 创建时间
    # 'hr_name': [{"_id": "3af3ac42bf13fd","nickname": "张三","user_id": "16371426094531014","unionid": "wWR9K0iPGyzy1SGIO78fBUgiEiE"}]

