from pydantic import BaseModel

from schemas import DBBase


class email_record(BaseModel):
    user_id: str  # 求职者的唯一id
    name: str  # 求职者名字
    text: str  # 邮件的文本内容
    times: str  # 发送邮件的时间
    state: int  # 邮件是否发送成功
    read_status: int  # 是否已读
    type: str
    mail_affix: str  # 邮件附件存储地


class get_email_record(BaseModel):
    user_id: str  # 求职者的唯一id


class email_records(DBBase):
    user_id: str  # 求职者的唯一id
    name: str  # 求职者名字
    text: str  # 邮件的文本内容
    times: str  # 发送邮件的时间
    state: int  # 邮件是否发送成功
    read_status: int  # 是否已读
    type: str  # 消息类型
    mail_affix: str  # 邮件附件存储地
